Name:           virtiofsd
Version:        1.1.0
Release:        1%{?dist}
Summary:        Virtio-fs vhost-user device daemon (Rust version)

# Upstream license specification: Apache-2.0 AND BSD-3-Clause
License:        ASL 2.0 and BSD
URL:            https://gitlab.com/virtio-fs/virtiofsd
Source0:        %{crates_source}
Source1:        %{name}-%{version}-vendor.tar.gz

ExclusiveArch:  x86_64 aarch64 s390x
BuildRequires:  rust-toolset
BuildRequires:  libcap-ng-devel
BuildRequires:  libseccomp-devel
Requires: libcap-ng
Requires: libseccomp
Provides: virtiofsd
Obsoletes: qemu-virtiofsd = 17:6.2.0

%description
%{summary}.

%prep
%setup -q -n %{name}-%{version}

%cargo_prep -V 1

%build
%cargo_build

%install
mkdir -p %{buildroot}%{_libexecdir}
install -D -p -m 0755 target/release/virtiofsd %{buildroot}%{_libexecdir}/virtiofsd
install -D -p -m 0644 50-qemu-virtiofsd.json %{buildroot}%{_datadir}/qemu/vhost-user/50-qemu-virtiofsd.json

%files
%license LICENSE-APACHE LICENSE-BSD-3-Clause
%doc README.md
%{_libexecdir}/virtiofsd
%{_datadir}/qemu/vhost-user/50-qemu-virtiofsd.json

%changelog
* Thu Jan 27 2022 Sergio Lopez <slp@redhat.com> - 1.1.0-1
- Initial package

